%global		momorel 1
Name:           clutter-gst3
Version:        3.0.26
Release:	%{momorel}m%{?dist}
Summary:        GStreamer integration for Clutter

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/clutter-gst/3.0/clutter-gst-%{version}.tar.xz
NoSource:	0

BuildRequires:  clutter-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel

%description
Clutter is an open source software library for creating fast, visually
rich and animated graphical user interfaces.

Clutter GStreamer enables the use of GStreamer with Clutter.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Clutter is an open source software library for creating fast, visually
rich and animated graphical user interfaces.

Clutter GStreamer enables the use of GStreamer with Clutter.

The %{name}-devel package contains libraries and header files for
developing applications that use clutter-gst API version 3.0.

%prep
%setup -q -n clutter-gst-%{version}

%build
%configure
%make  V=1

%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove the documentation for now as it conflicts with the files in
# clutter-gst-devel. I'll work with upstream to fix this properly.
rm -rf %{buildroot}%{_datadir}/gtk-doc/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_libdir}/girepository-1.0/ClutterGst-3.0.typelib
%{_libdir}/gstreamer-1.0/libcluttergst3.so
%{_libdir}/libclutter-gst-3.0.so.*

%files devel
%{_includedir}/clutter-gst-3.0/
%{_libdir}/libclutter-gst-3.0.so
%{_libdir}/pkgconfig/clutter-gst-3.0.pc
%{_datadir}/gir-1.0/ClutterGst-3.0.gir
#doc #{_datadir}/gtk-doc/

%changelog
* Sat Jun 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.26-1m)
- update to 3.0.26

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.24-1m)
- update to 3.0.24

* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.22-1m)
- update to 3.0.22

* Mon May 25 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.0.6-1m)
- update to 3.0.6

* Sat Jan 31 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.0.4-1m)
- initial import to Momonga Linux
